> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hyperline.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get price book

> Retrieve the details of an existing price book.



## OpenAPI

````yaml get /v1/price-books/{id}
openapi: 3.1.0
info:
  title: Hyperline API
  version: 0.0.0
servers:
  - url: https://api.hyperline.co
  - url: https://sandbox.api.hyperline.co
security: []
paths:
  /v1/price-books/{id}:
    get:
      tags:
        - Price books
      summary: Get price book
      description: Retrieve the details of an existing price book.
      operationId: getPriceBook
      parameters:
        - schema:
            type: string
          required: true
          name: id
          in: path
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PriceBook'
        '404':
          description: Price book not found.
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                required:
                  - message
      security:
        - bearer: []
components:
  schemas:
    PriceBook:
      type: object
      properties:
        id:
          type: string
          description: Price book ID.
          example: prib_DKL4Xcb5VSa8CQ
        name:
          type: string
          description: Price book name.
          example: Enterprise pricing
        description:
          type:
            - string
            - 'null'
          description: Price book description.
          example: null
        user_role_ids:
          type: array
          items:
            type: string
          description: List of user role IDs that have access to this price book.
        created_at:
          type: string
          format: date-time
          description: >-
            Price book creation date. UTC date time string in the [ISO
            8601](https://en.wikipedia.org/wiki/ISO_8601) format.
          example: '2024-12-20T16:04:11Z'
        updated_at:
          type: string
          format: date-time
          description: >-
            Price book last update date. UTC date time string in the [ISO
            8601](https://en.wikipedia.org/wiki/ISO_8601) format.
          example: '2024-12-20T16:04:11Z'
      required:
        - id
        - name
        - description
        - user_role_ids
        - created_at
        - updated_at
  securitySchemes:
    bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````